%define major		12
%define libname		%mklibname exosip2_ %major
%define libname_devel	%mklibname exosip2 -d

Summary: 	Extended osip library
Name: 	 	exosip
Version:	5.0.0
Release: 	%mkrel 3
License:	GPLv2+
Group:		System/Libraries
URL:		http://savannah.nongnu.org/projects/exosip/
Source0:	http://download.savannah.gnu.org/releases/exosip/libexosip2-%{version}.tar.gz
Patch0:		libexosip2-5.0.0-openssl_110.patch
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libosip2) >= 3.5

%description
Exosip is a library that hides the complexity of using the SIP protocol for
mutlimedia session establishement. This protocol is mainly to be used by VoIP
telephony applications (endpoints or conference server) but might be also
useful for any application that wish to establish sessions like multiplayer
games.

%package -n 	%{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries

%description -n %{libname}
Dynamic libraries from %name.

%package -n 	%{libname_devel}
Summary: 	Header files and static libraries from %name
Group: 		Development/C
Requires: 	%{libname} = %{version}-%{release}
Provides:	libexosip2-devel = %{version}-%{release}
Provides: 	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libname_devel}
Libraries and includes files for developing programs based on %name.

%prep
%setup -q -n libexosip2-%{version}
%autopatch -p1

%build
%configure --disable-static
%make_build

%install
%make_install

# don't ship .a, .la
find %{buildroot} -name '*.la' -delete

%files
%doc README
%{_bindir}/*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{libname_devel}
%doc AUTHORS ChangeLog NEWS
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 5.0.0-3.mga8
+ Revision: 1512107
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 5.0.0-2.mga7
+ Revision: 1297644
- Mageia 7 Mass Rebuild

* Sat Sep 23 2017 daviddavid <daviddavid> 5.0.0-1.mga7
+ Revision: 1158080
- new version: 5.0.0
- now libmajor is 12
- add gentoo patch to fix build with openssl 1.1.0

* Sun Apr 30 2017 neoclust <neoclust> 4.0.0-7.mga6
+ Revision: 1098112
- Rebuild against new libosip2

* Wed Mar 02 2016 umeabot <umeabot> 4.0.0-6.mga6
+ Revision: 983396
- Rebuild for openssl

* Fri Feb 05 2016 umeabot <umeabot> 4.0.0-5.mga6
+ Revision: 937973
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.0.0-4.mga5
+ Revision: 748102
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.0.0-3.mga5
+ Revision: 679064
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 4.0.0-2.mga4
+ Revision: 528849
- Mageia 4 Mass Rebuild

* Fri Jun 28 2013 fwang <fwang> 4.0.0-1.mga4
+ Revision: 447676
- update libmajor
- new version 4.0.0

* Fri Jan 11 2013 umeabot <umeabot> 3.6.0-2.mga3
+ Revision: 349869
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 26 2011 fwang <fwang> 3.6.0-1.mga2
+ Revision: 187983
- update libmajor
- new version 3.6.0
- update file list
- rediff str fmt patch
- new version 3.5.0

* Fri Jan 21 2011 ahmad <ahmad> 3.3.0-3.mga1
+ Revision: 28267
- don't ship .a, .la
- drop old/unneeded scriptlets
- imported package exosip


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 3.3.0-2mdv2011.0
+ Revision: 605111
- rebuild

* Thu Apr 08 2010 Ahmad Samir <ahmadsamir@mandriva.org> 3.3.0-1mdv2010.1
+ Revision: 532874
- new upstream release 3.3.0
- rediff string format patch

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 3.2.0-3mdv2010.1
+ Revision: 511565
- rebuilt against openssl-0.9.8m

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 3.2.0-2mdv2010.0
+ Revision: 437507
- rebuild

* Thu Feb 19 2009 Emmanuel Andry <eandry@mandriva.org> 3.2.0-1mdv2009.1
+ Revision: 342751
- New version 3.2.0
- diff P0 to fix str fmt

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 3.1.0-2mdv2009.0
+ Revision: 266745
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 28 2008 Funda Wang <fwang@mandriva.org> 3.1.0-1mdv2009.0
+ Revision: 212546
- New version 3.1.0
- New versiono 3.1.0

* Thu Jan 24 2008 Colin Guthrie <cguthrie@mandriva.org> 3.0.3-1mdv2008.1
+ Revision: 157685
- Fix group
- Fix build requires (libosip2-devel not libosip-devel)
- Conform to new library policy
- Update to 3.0.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 2.2.2-0.20060217.2mdv2008.1
+ Revision: 124834
- kill re-definition of %%buildroot on Pixel's request
- import exosip


* Wed Mar 29 2006 Stefan van der Eijk <stefan@eijk.nu> 2.2.2-0.20060217.2mdk
- BuildRequires

* Sun Feb 19 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.2-0.20060217.1mdk
- new snap (20060217)

* Thu Apr 7 2005 Austin Acton <austin@mandrake.org> 0.9.0.cvs20050407-1mdk
- new cvs checkout

* Thu Feb 10 2005 Austin Acton <austin@mandrake.org> 0.9.0.cvs20050210-1mdk
- initial package
